//
// foundation/helpers/font
//

// size
.font-xl {
  font-size: $base-font-size-xl;
}

.font-lg {
  font-size: $base-font-size-lg;
}

.font {
  font-size: $base-font-size;
}

.font-sm {
  font-size: $base-font-size-sm;
}

.font-xs {
  font-size: $base-font-size-xs;
}

// weight
.font-light {
  font-weight: 300;
}

.font-regular {
  font-weight: 400;
}

.font-semibold {
  font-weight: 600;
}

.font-bold {
  font-weight: 700;
}

// transform
.font-uppercase {
  text-transform: uppercase;
}

.font-lowercase {
  text-transform: lowercase;
}

.font-capitalize {
  text-transform: capitalize;
}

.font-italic {
  font-style: italic;
}

.font-oblique {
  font-style: oblique;
}

// spacing
.font-spacing-xl {
  letter-spacing: 0.2rem;
}

.font-spacing-lg {
  letter-spacing: 0.1rem;
}

.font-spacing-md {
  letter-spacing: 0.05rem;
}

.font-spacing-sm {
  letter-spacing: 0.025rem;
}

.font-spacing-xs {
  letter-spacing: 0.0125rem;
}
